use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::site::models::Site> for bpr::models::domain::Site {
  fn from(d: &repositories::site::models::Site) -> Self {
    bpr::models::domain::Site {
      id: d.id.to_string(),
      url: d.url.clone(),
      show: d.show,
      can_use: d.can_use,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
      deleted_at: d.deleted_at.map(|d| d as u64),
    }
  }
}
